Download issue window 7

I just purchased F-secure internet security. The program installation failed with this error:  "your current version of window is not support"

 

Best Answer

  • VilleVille Posts: 494 F-Secure Employee
    Accepted Answer

    Hi @mizan30

     

    To clarify: Windows 7 is supported but requires Service Pack 1 to be installed. Make sure you have SP1 installed.

     

    Ville

    (F-Secure R&D)

     

    Jaims

Comments

  • JaimsJaims Posts: 396 Moderator

    Hi @mizan30

     

    Kindly click here to see the list of F-Secure supported Operating System. You may wish to upgrade your OS if yours does not fall in the the supported platform category.

     

    Do not hesitate to contact us if you have further concerns. 

This discussion has been closed.